首页 > 电脑教程 > Linux教程 > BT5 kali 下Exploit-DB漏洞利用库更新方法

BT5 kali 下Exploit-DB漏洞利用库更新方法

2014-04-25 13:38:05 出处:软件园 责任编辑:动力软件园

想要升级Exploit-DB,在BT4下,可以依次点击:Backtrack-》Pentestion-》ExploitDB-》Update Exploitdb  进行Exploit-DB的更新

但是在BT5下没有提供升级脚本,我们可以利用以下的升级脚本来升级Exploit-DB:

BT5下的更新脚本是这样的:

1
#!/bin/bash
2
echo "Updating The Exploit-DB"
3
cd /pentest/exploits/exploitdb/
4
wget http://www.exploit-db.com/archive.tar.bz2
5
tar -xvjf /pentest/exploits/exploitdb/archive.tar.bz2
6
rm /pentest/exploits/exploitdb/archive.tar.bz2
7
echo "Exploit-DB Update Finished"
#from DiS9 TeAm

 

Kali下的更新脚本是这样的:

1
#!/bin/bash
2
echo "Updating The Exploit-DB"
3
cd /usr/share/exploitdb/
4
wget http://www.exploit-db.com/archive.tar.bz2
5
tar -xvjf /usr/share/exploitdb/archive.tar.bz2
6
rm /usr/share/exploitdb/archive.tar.bz2
7
echo "Exploit-DB Update Finished"
 

将脚本复制,保存文件名为dbupdate.sh。在用以下的命令进行升级:

1
#  Chmod +x dbupdate.sh
2
#  ./ dbupdate.sh
 

升级完成后就可以使用searchsploit命令来搜索exp就行利用了,搜索的命令是:

1
./ searchsploit 关键字
 

热门软件
() ()